/*-----------------------------------------------------------------------
Nom du fichier: PCF8574.h
Auteur: Philippe MARIANO

Projet: Robot suiveur de ligne
Rle: fichier d'en-tte de la bibliothque "PCF8574.lib"
Cr le: 21/01/2010
Dernire rvision le:

Cross compilateur utilis: CodeVisionAVR
Composant cible : ATMEL 8 bits 

Remarque: Ce fichier est destin  un projet CVAVR utilisant des PCF8574
commands par les fonctions I2C Soft de CVAVR
Il doit tre plac dans le sous rpertoire \CVAVR\INC\ 
------------------------------------------------------------------------*/

#ifndef _PCF8574_INCLUDED_ 	
#define _PCF8574_INCLUDED_

#pragma used+
// ******************************************************************************************************** 
void Ecrire_Port_I2C_Soft(unsigned char add, unsigned char data);  
/* --------------------------------------------------------------------------------------------------------
Rle : Envoyer un octet sur un port I2C PCF8574. Remarque : I2C mul.
Entres : 	add = SLA+W du port d'E/S
			data = octet  placer sur le port			
Sortie : aucune
---------------------------------------------------------------------------------------------------------*/
unsigned char Lire_Port_I2C_Soft(unsigned char add);
/* --------------------------------------------------------------------------------------------------------
Rle : Lire l'octet prsent sur un port I2C PCF8574. Remarque : I2C mul.       
Entres : add = SLA+R du port d'E/S
Sortie : octet renoy par le port d'E/S
---------------------------------------------------------------------------------------------------------*/
#pragma used-

#pragma library PCF8574.lib

#endif    // termine la directive ifndef